Bug 1587997 - [3.10] OpenShift container registry is not able to use eu-west-3 for s3 storage.
Summary: [3.10] OpenShift container registry is not able to use eu-west-3 for s3 storage.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.10.0
Assignee: Alexey Gladkov
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On: 1586212
Blocks: 1587996
TreeView+ depends on / blocked
 
Reported: 2018-06-06 12:49 UTC by Ben Parees
Modified: 2018-07-30 19:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1586212
Environment:
Last Closed: 2018-07-30 19:17:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:17:58 UTC

Comment 9 Ryan Howe 2018-06-08 14:31:17 UTC
@Ben Parees 

A separate bug might be needed, but to prevent issues like this in the future. Can we have a configuration option where we can add a region, or skip validation for valid regions? 

I am not sure AWS's policy on adding regions but every region they add would require a code change.

Comment 10 Ben Parees 2018-06-08 14:48:38 UTC
I'm not sure why it's done this way, but it's upstream code, so we'd need to get that patch into the upstream docker distribution's s3 driver.

Comment 11 Dongbo Yan 2018-06-11 03:19:43 UTC
Verified
openshift v3.10.0-0.64.0
kubernetes v1.10.0+b81c8f8

Comment 15 errata-xmlrpc 2018-07-30 19:17:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.